BEGIN CMGKALI4




IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("MarialResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~Ah, a woman who killed me. Why did you resurrect me?~
   ++ ~I wanted to know more about Kali.~ + briefingNV1
   ++ ~I have a weakness for girls.~ + briefingNV2F   
   ++ ~I wanted to kill you more painful!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("MarialResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~Ah, a killer of girls. Why did you resurrect me?~
   ++ ~I wanted to know more about Kali.~ + briefingNV1
   ++ ~I have a weakness for girls.~ + briefingNV2M  
   ++ ~I wanted to kill you more painful!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~I know a lot about our goddess. But I will speak only with true believers.~
  ++ ~Then join my party, Marial, and convert me to your faith.~ + briefing2  
  ++ ~You are free. I release you.~ + briefing3
  ++ ~Die, bloodsucker!~ + briefing3f
END

IF ~~ briefingNV2M
  SAY ~I also have such weakness.~
  ++ ~Join my party, Marial. Together we will be a good pair.~ + briefing2wm  
  ++ ~You are free. I release you.~ + briefing3
  ++ ~Die, bloodsucker!~ + briefing3f
END

IF ~~ briefingNV2F
  SAY ~I also have such weakness.~
  ++ ~Join my party, Marial. Together we will be a good pair.~ + briefing2wf  
  ++ ~You are free. I release you.~ + briefing3
  ++ ~Die, bloodsucker!~ + briefing3f
END


IF ~~ briefing2
  SAY ~Let the path to faith begins!~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("MarialResurrected","GLOBAL",2)
  DestroyItem("VVHKALI4")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing2wm
  SAY ~I know some things what we can do together, <CHARNAME>.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("MarialResurrected","GLOBAL",2)
  DestroyItem("VVHKALI4")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing2wf
  SAY ~Two beatiful ladies always can find out what to do.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("MarialResurrected","GLOBAL",2)
  DestroyItem("VVHKALI4")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~Not fo fast!~
  IF ~~ THEN DO ~SetGlobal("MarialResurrected","GLOBAL",2)
  SetGlobal("MarialLeft","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~Goodbye, <CHARNAME>. I will return to study teachings of our goddess Kali.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("MarialResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~!Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~<CHARNAME>, what you need of me?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 IF ~!BeenInParty("cmmarial")~ THEN REPLY  ~Come with me, Marial, we must carry the faith to unbelievers.~ GOTO briefing2
 IF ~BeenInParty("cmmarial")~ THEN REPLY ~Come with me, Marial, we must carry the faith to unbelievers.~ GOTO notparty1
 //IF ~BeenInParty("cmmarial")
 //Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ GOTO notpartGoST
 IF ~~ THEN REPLY ~Stay here, Marial, I will return.~ GOTO notparty2
  IF ~~ THEN REPLY ~You are free to go. I release you.~ GOTO briefing3 
 IF ~~ THEN REPLY ~I decided to kill you.~ GOTO briefing3f
END

IF ~~ notparty2
SAY ~I don't like talking.~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~<CHARNAME>, what you need of me?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 IF ~!BeenInParty("cmmarial")~ THEN REPLY  ~Come with me, Marial, we must carry the faith to unbelievers.~ GOTO briefing2
 IF ~BeenInParty("cmmarial")~ THEN REPLY ~Come with me, Marial, we must carry the faith to unbelievers.~ GOTO notparty1
// IF ~BeenInParty("cmmarial")
// Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ GOTO notpartGoST 
 IF ~~ THEN REPLY ~Stay here, Marial, I will return.~ GOTO notparty2
 IF ~~ THEN REPLY ~You are free to go. I release you.~ GOTO briefing3  
 IF ~~ THEN REPLY ~I decided to kill you.~ GOTO briefing3f
END



IF ~~ notparty1
  SAY ~Let's rip through enemy hordes!~
  IF ~~ THEN DO ~

		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~I just throught I need time to rest.~
   IF ~~ THEN DO ~MakeGlobal()
   LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[536.788],S)~ EXIT
 END  

// talk in party

IF ~!Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~<CHARNAME>, what?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 ++ ~Are you hungry? You can suck my blood, Marial.~ + suckblood
 ++ ~Tell me your story, Marial.~ + talkMarialM
 ++ ~Tell me about goddess Kali, Marial.~ + talkMarialKaliM
 ++ ~No, nothing right now, Marial.~ + byesilent
  ++ ~I decided to kill you.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~<CHARNAME>, what?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 ++ ~Are you hungry? You can suck my blood, Marial.~ + suckblood
 ++ ~Tell me your story, Marial.~ + talkMarialF
 ++ ~Tell me about goddess Kali, Marial.~ + talkMarialKaliF 
 ++ ~No, nothing right now, Marial.~ + byesilent
  ++ ~I decided to kill you.~ + briefing3f
END

IF ~!Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, what?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 ++ ~Are you hungry? You can suck my blood, Marial.~ + suckblood
 ++ ~Make me a vampire, Marial.~ + vampconvm
 ++ ~Tell me your story, Marial.~ + talkMarialM
 ++ ~Tell me about goddess Kali, Marial.~ + talkMarialKaliM 
 ++ ~No, nothing right now, Marial. Sorry.~ + byesilent
   ++ ~I decided to kill you.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, what?~ 
 IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to my vampire castle. We will meet there.~ GOTO vampStronghold 
  IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to graveyard stronghold. We will meet there.~ GOTO strongholdBodhi 
 ++ ~Are you hungry? You can suck my blood, Marial.~ + suckblood
 ++ ~Make me a vampire, Marial.~ + vampconvf 
 ++ ~Tell me your story, Marial.~ +   talkMarialF
  ++ ~Tell me about goddess Kali, Marial.~ + talkMarialKaliF
 ++ ~No, nothing right now, Marial. Sorry for disturbance.~ + byesilent
   ++ ~I decided to kill you.~ + briefing3f
END

IF ~~ byesilent
SAY ~Interruptions, interruptions...~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkMarialM
  SAY ~My father was a necromancer. He was dreaming of becoming a lich. But he died before his dream come through. I decided to become lich myself. But my dream didn't come true either. In one of crypts I was searching for forbidden knowledge I was biten by Lilith.~
  IF ~~ THEN GOTO talkMarialM2
END

IF ~~ talkMarialM2
  SAY ~She really appreciated my studies and helped me to gain knowledge about Kali and planar vampires. We were working together a long time in our researches and tombs raiding. She is my lover.~
  IF ~~ THEN GOTO talkMarialM3
END

IF ~~ talkMarialM3
  SAY ~But you can join our small club and help us to strengthen our bonds.~
  IF ~~ THEN EXIT
END


IF ~~ talkMarialF
  SAY ~My father was a necromancer. He was dreaming of becoming a lich. But he died before his dream come through. I decided to become lich myself. But my dream didn't come true either. In one of crypts I was searching for forbidden knowledge I was biten by Lilith.~
  IF ~~ THEN GOTO talkMarialF2
END

IF ~~ talkMarialF2
  SAY ~She really appreciated my studies and helped me to gain knowledge about Kali and planar vampires. We were working together a long time in our researches and tombs raiding. She is my lover.~
  IF ~~ THEN GOTO talkMarialF3
END

IF ~~ talkMarialF3
  SAY ~I am glad you joined us. Maybe we can teach you not only faith.~
  IF ~~ THEN EXIT
END


IF ~~ suckblood
  SAY ~With pleasure!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~You wanted to poison me?~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood2
  SAY ~Aaahhhh!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,85,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Marial gently entangles you and kisses you.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Marial gently entangles you and kisses you)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Marial.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Marial. Marial is a beautiful and strong war machine of murder. She likes straight actions.)~

  IF ~~ THEN DO ~  
  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,STR,0,ADD)
		ChangeStat(Player1,CON,-1,ADD)
		ChangeStat(Player1,WIS,0,ADD)
		ChangeStat(Player1,INT,1,ADD)
	

		SetGlobal("MarialVampirized","GLOBAL",1)	
	~ EXIT
END

IF ~~ talkMarialKaliF
  SAY ~Come here, I will show you some texts I found about Kali and a War of Kali...~
  IF ~~ THEN DO ~~ EXIT
END



IF ~~ talkMarialKaliM
  SAY ~Come here, I will show you some texts I found about Kali and a War of Kali...~
  IF ~~ THEN DO ~~ EXIT
END


 
 IF ~~ vampStronghold
  SAY ~See you there.~
  IF ~~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[1680.636],W)~ EXIT
END


IF ~~ strongholdBodhi
  SAY ~See you there.~
  IF ~~ THEN DO ~
    LeaveParty()
  RunAwayFromNoInterrupt(LastTalkedToBy(Myself),30)
   MoveBetweenAreas("AR0808",[1215.485],N)
   RandomWalk()~ EXIT
END